zenilib: Zeni::Singleton< TYPE > Class Template Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Zeni::Singleton< TYPE > Class Template Reference

`#include <Singleton.h>`

## Classes

class | Reinit
class | Uninit

## Public Member Functions

void | fax_post_reinit (Event::Handler *const &handler)
void | fax_pre_uninit (Event::Handler *const &handler)
void | give_post_reinit (Event::Handler *const &handler)
void | give_pre_uninit (Event::Handler *const &handler)
void | lend_post_reinit (Event::Handler *const &handler)
void | lend_pre_uninit (Event::Handler *const &handler)

## Static Public Member Functions

static void | completely_destroy ()
static void | destroy ()
static TYPE & | get ()
static bool | is_initialized ()
static void | remove_post_reinit (Event::Handler *const &handler)
static void | remove_pre_uninit (Event::Handler *const &handler)

## Protected Member Functions

| Singleton ()
virtual | ~Singleton ()

## Detailed Description

### template<typename TYPE>
class Zeni::Singleton< TYPE >

Definition at line 31 of file Singleton.h.

## Constructor & Destructor Documentation

template<typename TYPE>

Zeni::Singleton< TYPE >::Singleton | ( |  | ) |

inlineprotected

Definition at line 37 of file Singleton.h.

template<typename TYPE>

virtual Zeni::Singleton< TYPE >::~Singleton | ( |  | ) |

inlineprotectedvirtual

Definition at line 39 of file Singleton.h.

## Member Function Documentation

template<typename TYPE >

void Zeni::Singleton< TYPE >::completely_destroy | ( |  | ) |

static

Definition at line 50 of file Singleton.hxx.

References destroy().

template<typename TYPE >

void Zeni::Singleton< TYPE >::destroy | ( |  | ) |

static

Definition at line 42 of file Singleton.hxx.

template<typename TYPE >

void Zeni::Singleton< TYPE >::fax_post_reinit | ( | Event::Handler *const & | handler | ) |

Definition at line 86 of file Singleton.hxx.

template<typename TYPE >

void Zeni::Singleton< TYPE >::fax_pre_uninit | ( | Event::Handler *const & | handler | ) |

Definition at line 66 of file Singleton.hxx.

template<typename TYPE >

TYPE & Zeni::Singleton< TYPE >::get | ( |  | ) |

static

Definition at line 31 of file Singleton.hxx.

Referenced by Zeni::get_Fonts(), Zeni::get_Textures(), Zeni::get_Video(), and Zeni::get_Window().

template<typename TYPE >

void Zeni::Singleton< TYPE >::give_post_reinit | ( | Event::Handler *const & | handler | ) |

Definition at line 81 of file Singleton.hxx.

template<typename TYPE >

void Zeni::Singleton< TYPE >::give_pre_uninit | ( | Event::Handler *const & | handler | ) |

Definition at line 61 of file Singleton.hxx.

template<typename TYPE >

bool Zeni::Singleton< TYPE >::is_initialized | ( |  | ) |

static

Definition at line 26 of file Singleton.hxx.

template<typename TYPE >

void Zeni::Singleton< TYPE >::lend_post_reinit | ( | Event::Handler *const & | handler | ) |

Definition at line 76 of file Singleton.hxx.

Referenced by Zeni::Text_Box::Text_Box(), Zeni::Video::Video(), and Zeni::Window::Window().

template<typename TYPE >

void Zeni::Singleton< TYPE >::lend_pre_uninit | ( | Event::Handler *const & | handler | ) |

Definition at line 56 of file Singleton.hxx.

Referenced by Zeni::Vertex_Buffer::render(), Zeni::TCP_Listener::TCP_Listener(), Zeni::TCP_Socket::TCP_Socket(), Zeni::UDP_Socket::UDP_Socket(), Zeni::Video::Video(), and Zeni::Window::Window().

template<typename TYPE >

void Zeni::Singleton< TYPE >::remove_post_reinit | ( | Event::Handler *const & | handler | ) |

static

Definition at line 91 of file Singleton.hxx.

template<typename TYPE >

void Zeni::Singleton< TYPE >::remove_pre_uninit | ( | Event::Handler *const & | handler | ) |

static

Definition at line 71 of file Singleton.hxx.

Referenced by Zeni::TCP_Listener::~TCP_Listener().

The documentation for this class was generated from the following files:

- zenilib/jni/external/zenilib/zeni/Zeni/Singleton.h
- zenilib/jni/external/zenilib/zeni/Zeni/Singleton.hxx